import java.util.*;
import static java.lang.Math.*;

public class date
{ GregorianCalendar gc;
public date(int day,String month,int year,int hour,int min)
{
 String t1[]={"ocak","şubat","mart","nisan","mayıs","haziran","temmuz","ağustos","eylül","ekim","kasım","aralık"};
 String t2[]={"Ocak","Şubat","Mart","Nisan","Mayıs","Haziran","Temmuz","Ağustos","Eylül","Ekim","Kasım","Aralık"};
 String e1[]={"january","february","march","april","may","june","july","august","september","october","november","december"};
 String e2[]={"January","February","March","April","May","June","July","August","September","October","November","December"};
 int m=0;
 for(int i=0;i<12;i++)
 {if(month.equals(t1[i]) || month.equals(t2[i]) || month.equals(e1[i]) || month.equals(e2[i])){m=i;break;}
 }
 gc=new GregorianCalendar((year-1900),m,day,hour,min);
}

public date(int day,int month,int year,int hour,int min)
{
 int m=month-1;
 gc=new GregorianCalendar((year-1900),m,day,hour,min);
}

public date()
{ //now!!
 gc=new GregorianCalendar();
 Date standart_time=new Date();
 gc.setTime(standart_time);
}

public String toString()
{
 int hour=gc.get(Calendar.HOUR_OF_DAY);
 int minute=gc.get(Calendar.MINUTE);
 int day=gc.get(Calendar.DAY_OF_MONTH);
 int year=gc.get(Calendar.YEAR)+1900;	
 int m=gc.get(Calendar.MONTH);
 String s[]={"January","February","March","April","May","June","July","August","September","October","November","December"};
 String month=s[m];
 String ss=""+day+"/"+month+"/"+year+" time = "+hour+":"+minute+"\n";
 return ss;
 }
 
public String toStringT()
{
 int hour=gc.get(Calendar.HOUR_OF_DAY);
 int minute=gc.get(Calendar.MINUTE);
 int day=gc.get(Calendar.DAY_OF_MONTH);
 int year=gc.get(Calendar.YEAR)+1900;	
 int m=gc.get(Calendar.MONTH);
 String s[]={"Ocak","Şubat","Mart","Nisan","Mayıs","Haziran","Temmuz","Ağustos","Eylül","Ekim","Kasım","Aralık"};
 String month=s[m];
 String ss=""+day+"/"+month+"/"+year+" time = "+hour+":"+minute+"\n";
 return ss;
}
 
}